【通知】
本人收集了一整套手诊资料,有需要的朋友可以关注微信公众号“全息手诊”领取。
当前位置:首页 > 网络营销 > 正文内容

Wdcp升级Php5.3成功(阿里云服务器)笔记

2015-03-13 | 分类:网络营销 | 评论:2人 | 浏览:6,742次

买的是阿里云centos5.8/64位系统/512内存,在安装wordpress是出现502 Bad Gateway,网上查资料说是

在lanmp/wdcp/wdOS的当前版本中,默认的php都是用到5.2.17的版本
需要升级到php5.3的,可使用如下脚本升级
(注:此升级无安全漏洞等原因,只为某些追求高版本或应用需求需要高版本,对于无这个必要的同学,可不用升级)

wget http://down.wdlinux.cn/in/php_up53.sh
sh php_up53.sh

看到”php update is OK”提示
表示,顺利完成

在升级过程中也是几番折腾才搞定

第一次运行以上脚本后出现以下错误

  1. gcc: Internal error: Killed (program cc1)
  2. Please submit a full bug report.
  3. See <http://bugzilla.redhat.com/bugzilla> for instructions.
  4. make: *** [ext/fileinfo/libmagic/apprentice.lo] Error 1
  5. make err

解决办法:

我重启了阿里云服务器释放了哈内存,同时将脚本里的内容进行了修改,修改如下

输入vi php_up53.sh按i 进入编辑模式

 

  1. –disable-rpath
  2. //修改成
  3. –disable-fileinfo

2处需要改

ESC, 退出编辑模式

输入

:wq [回车]

 

第二次在运行以上代码时又出现以下错误

  1. /root/php-3.17/ext/iconv/iconv.c: In function ‘zm_startup_miconv’:
  2. /root/php-3.17/ext/iconv/iconv.c:254: 错误:‘_libiconv_version’ 未声明 (在此函数内第一次使用)
  3. /root/php-3.17/ext/iconv/iconv.c:254: 错误:(即使在一个函数内多次出现,每个未声明的标识符在其
  4. /root/php-3.17/ext/iconv/iconv.c:254: 错误:所在的函数内只报告一次。)
  5. make: *** [ext/iconv/iconv.lo] 错误 1
  6. make err

解决办法:

  1. wget http://down.wdlinux.cn/in/iconv_ins.sh
  2. sh iconv_ins.sh

第三次在运行以上代码等了几分钟出现以下界面

QQ截图20140612165803

我们可以看到PHP已经更新成功了,然后我们再看看服务器
QQ截图20140612171034
因为我是用的是Apache+Nginx 所有两个服务的PHP都更新了

 

来源:中医养生博客(微信号/QQ号:75111243),转载请注明出处,谢谢!


  • 评论:(2)

已有 2 位网友发表了一针见血的评论,你还等什么?

◎欢迎参与讨论,我的微信公众号是:czsunw

  1. Post:2015/07/27 17:07:14

    郁闷,,怎么搞都搞不来。。崩溃

    • Post:2015/07/31 20:34:31

      我是按以上步骤成功的,你检查一下,看是不是漏了哪里

站内搜索

css.php